"use strict";

const Promise = require("bluebird");
const expressPromiseRouter = require("express-promise-router");

module.exports = function({db}) {
	let router = expressPromiseRouter();

	router.get("/", (req, res) => {
		return Promise.try(() => {
			return db("items").where({
				visible: true
			});
		}).then((result) => {
			res.render("index", {
				items: result
			});
		});
	});

	router.get("/item/:id", (req, res) => {
		return Promise.try(() => {
			return db("items").where({
				id: req.params.id
			}).first();
		}).then((item) => {
			res.render("item", {
				item: item
			});
		});
	});

	return router;
}